# Ds\Vector::set

(PECL ds >= 1.0.0)

Ds\Vector::set — Updates a value at a given index

### Descripción

public Ds\Vector::set(int `$index`, mixed `$value`): void

Updates a value at a given index.

### Parámetros

`index`

  The index of the value to update.

`value`

  The new value.

### Valores devueltos

No devuelve ningún valor.

### Errores/Excepciones

OutOfRangeException if the index is not valid.

### Ejemplos

Ejemplo #1 Ds\Vector::set() example

`<?php
$vector = new \Ds\Vector(["a", "b", "c"]);
$vector->set(1, "_");
print_r($vector);
?>`

El resultado del ejemplo sería algo similar a:

    Ds\Vector Object
    (
        [0] => a
        [1] => _
        [2] => c
    )

Ejemplo #2 Ds\Vector::set() example using array syntax

`<?php
$vector = new \Ds\Vector(["a", "b", "c"]);
$vector[1] = "_";
print_r($vector);
?>`

El resultado del ejemplo sería algo similar a:

    Ds\Vector Object
    (
        [0] => a
        [1] => _
        [2] => c
    )